Subject: Texlive errors and weird behavior
From: Wojtek Kosior <[email-masked]>
To: [email-masked]
Cc: Nicolas Goaziou <[email-masked]>
Date: Tue, 25 Jul 2023 13:19:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I'm having some problems using texlive after the recent tex-team merge.
On my system (with texlive installed in a profile, together with many
other packages) the tools complain about 'lualatex.fmt', 'pdflatex.fmt',
etc. missing. Before the merge I have been using texlive without ever
experiencing such problems.

#+BEGIN_EXAMPLE
urz@GuixPad /tmp/example$ guix describe
Generation 13	Jul 25 2023 11:46:08	(current)
  guix 76e041f
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 76e041f9eef85bb039c5251d3350c62ee2066883
urz@GuixPad /tmp/example$ ls
minimal.tex
urz@GuixPad /tmp/example$ cat minimal.tex 
\documentclass{article}
\title{somedoc}
\begin{document}

aaa

\end{document}
urz@GuixPad /tmp/example$ lualatex minimal.tex 
This is LuaHBTeX, Version 1.16.0 (TeX Live 2023/GNU Guix) 
 restricted system commands enabled.

kpathsea: Running mktexfmt lualatex.fmt
mktexfmt: mktexfmt is using the following fmtutil.cnf files (in precedence order):
mktexfmt: mktexfmt is using the following fmtutil.cnf file for writing changes:
mktexfmt:   /home/urz/.texlive2023/texmf-config/web2c/fmtutil.cnf
mktexfmt [INFO]: writing formats under /home/urz/.texlive2023/texmf-var/web2c
mktexfmt [INFO]: Did not find entry for byfmt=lualatex skipped
mktexfmt [INFO]: total formats: 0
mktexfmt [INFO]: exiting with status 0
I can't find the format file `lualatex.fmt'!
#+END_EXAMPLE

I tried to reduce it to a small, reproducible example using
`guix shell -C`. Surprisingly, now I managed to compile this document
inside a container. But also surprisingly, it took very long to do so.
Also, lualatex automatically created a directory named '{' in the
current working directory.

#+BEGIN_EXAMPLE
urz@GuixPad /tmp/example$ guix describe
Generation 13	Jul 25 2023 11:46:08	(current)
  guix 76e041f
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 76e041f9eef85bb039c5251d3350c62ee2066883
urz@GuixPad /tmp/example$ ls /tmp/example/
minimal.tex
urz@GuixPad /tmp/example$ cat minimal.tex 
\documentclass{article}
\title{somedoc}
\begin{document}

aaa

\end{document}
urz@GuixPad /tmp/example$ guix shell texlive coreutils which -C
urz@GuixPad /tmp/example [env]$ lualatex minimal.tex 
This is LuaHBTeX, Version 1.16.0 (TeX Live 2023/GNU Guix) 
 restricted system commands enabled.
(./minimal.tex
LaTeX2e <2022-11-01> patch level 1
 L3 programming layer <2023-02-22> (/gnu/store/vld5rj0438d7vfihvbhk7p56jigm71xk-profile/share/texmf-dist/tex/latex/base/article.cls
Document Class: article 2022/07/02 v1.4n Standard LaTeX document class
(/gnu/store/vld5rj0438d7vfihvbhk7p56jigm71xk-profile/share/texmf-dist/tex/latex/base/size10.clo
luaotfload | db : Font names database not found, generating new one.
luaotfload | db : This can take several minutes; please be patient.)) (/gnu/store/vld5rj0438d7vfihvbhk7p56jigm71xk-profile/share/texmf-dist/tex/latex/l3backend/l3backend-luatex.def)
No file minimal.aux.
(/gnu/store/vld5rj0438d7vfihvbhk7p56jigm71xk-profile/share/texmf-dist/tex/latex/base/ts1cmr.fd) [1{/gnu/store/vld5rj0438d7vfihvbhk7p56jigm71xk-profile/share/texmf-dist/fonts/map/pdftex/updmap/pdftex.map}] (./minimal.aux))
 406 words of node memory still in use:
   3 hlist, 1 vlist, 1 rule, 2 glue, 3 kern, 1 glyph, 4 attribute, 48 glue_spec, 4 attribute_list, 1 write nodes
   avail lists: 2:23,3:4,4:2,5:22,6:2,7:34,9:18
</gnu/store/s6w8r5q3aql1bhasv0nmwr5xgjv6qnhh-texlive-texmf-20230313/share/texmf-dist/fonts/opentype/public/lm/lmroman10-regular.otf>
Output written on minimal.pdf (1 page, 2610 bytes).
Transcript written on minimal.log.
urz@GuixPad /tmp/example [env]$ ls -a
 .   ..   minimal.aux   minimal.log   minimal.pdf   minimal.tex  '{'
urz@GuixPad /tmp/example [env]$ ls \{/gnu/store/vld5rj0438d7vfihvbhk7p56jigm71xk-profile/share/      
texmf-dist}  texmf-var
#+END_EXAMPLE

Best,
Wojtek

-- (sig_start)
website: https://koszko.org/koszko.html
fingerprint: E972 7060 E3C5 637C 8A4F  4B42 4BC5 221C 5A79 FD1A
follow me on Fediverse: https://friendica.me/profile/koszko/profile

♥ R29kIGlzIHRoZXJlIGFuZCBsb3ZlcyBtZQ== | ÷ c2luIHNlcGFyYXRlZCBtZSBmcm9tIEhpbQ==
✝ YnV0IEplc3VzIGRpZWQgdG8gc2F2ZSBtZQ== | ? U2hhbGwgSSBiZWNvbWUgSGlzIGZyaWVuZD8=
-- (sig_end)